Bug 530193 - Review Request: rubygem-calendar_date_select - A popular date picker widget for ruby on rails and prototype.js
Summary: Review Request: rubygem-calendar_date_select - A popular date picker widget f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 552972
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 20:20 UTC by Jeroen van Meeuwen
Modified: 2010-02-02 01:24 UTC (History)
4 users (show)

Fixed In Version: 1.15-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-01 14:17:05 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jeroen van Meeuwen 2009-10-21 20:20:41 UTC
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-calendar_date_select.spec
SRPM URL: http://www.kanarip.com/custom/f12/SRPMS/rubygem-calendar_date_select-1.15-2.fc12.src.rpm
Description: A popular date picker widget for ruby on rails and prototype.js

rpmlint has a few warnings, but 3 of them don't make sense:

rubygem-calendar_date_select.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/calendar_date_select-1.15/ri/CalendarDateSelect/image%3d-c.yaml %3d
rubygem-calendar_date_select.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/calendar_date_select-1.15/ri/CalendarDateSelect/format%3d-c.yaml %3d
rubygem-calendar_date_select.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/calendar_date_select-1.15/ri/CalendarDateSelect/has_time%3f-c.yaml %3f
rubygem-calendar_date_select.noarch: W: wrong-file-end-of-line-encoding /usr/lib/ruby/gems/1.8/gems/calendar_date_select-1.15/MIT-LICENSE

The last one, wrong-file-end-of-line-encoding doesn't make any sense to me either. Am I supposed to dos2unix this file maybe?

Comment 1 Michal Babej 2009-12-02 12:43:52 UTC
The first three are just a result of how rdoc/ri deals with punctuaction in method names (escaping, "has_time?" => "has_time%3f").

"file MIT-LICENSE" says:
MIT-LICENSE: ASCII English text, with CRLF line terminators
so i think yes, dos2unix is your friend :)

Comment 3 Mamoru TASAKA 2010-01-06 17:42:41 UTC
Well, "$ rake spec" should be executed in %check, however
currently this fails on rawhide due to actionpack <-> rack
dependency error (bug 552972)

Comment 4 Mamoru TASAKA 2010-01-07 17:56:47 UTC
Well, actually "rake default" does the same thing as
"rake spec", and I applied a workaround on rubygem-actionpack
for bug 552972 issue.

Now:
- Unused %ruby_sitelib macro can be removed

Other things are okay
------------------------------------------------------------------------
   This package (rubygem-calendar_date_select) is APPROVED by mtasaka
------------------------------------------------------------------------

Comment 5 Jeroen van Meeuwen 2010-01-09 10:55:07 UTC
Thanks Mamoru!

New Package CVS Request
=======================
Package Name: rubygem-calendar_date_select
Short Description: A popular date picker widget for ruby on rails and prototype.js
Owners: kanarip
Branches: EL-5 F-11 F-12 devel
InitialCC:

Comment 6 Jason Tibbitts 2010-01-12 06:18:13 UTC
CVS done (by process-cvs-requests.py)

Comment 7 Mamoru TASAKA 2010-01-21 17:21:35 UTC
Please submit push requests on bodhi after builds.

Comment 8 Mamoru TASAKA 2010-01-28 15:34:45 UTC
ping? ("ping" means that please submit push requests on bodhi as
build itself seems done)

Comment 9 Fedora Update System 2010-02-01 10:06:37 UTC
rubygem-calendar_date_select-1.15-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-calendar_date_select-1.15-4.fc11

Comment 10 Fedora Update System 2010-02-01 10:06:43 UTC
rubygem-calendar_date_select-1.15-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-calendar_date_select-1.15-4.fc12

Comment 11 Mamoru TASAKA 2010-02-01 14:17:05 UTC
Closing.

Comment 12 Fedora Update System 2010-02-02 01:19:27 UTC
rubygem-calendar_date_select-1.15-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-02-02 01:24:18 UTC
rubygem-calendar_date_select-1.15-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.